%define kipiplugins_major 1
%define lib_name %mklibname kipiplugins %kipiplugins_major

Name: kipi-plugins
Version: 1.9.0
Release: %mkrel 2
Summary: KDE image Interface Plugins
Summary(de): KDE Bilder Benutzeroberflächen Erweiterungen
License: GPLv2+
Group: Graphical desktop/KDE4
Source0: http://downloads.sourceforge.net/kipi/%{name}-%{version}.tar.xz
URL: http://www.kipi-plugins.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: kde4-macros
BuildRequires: kdelibs-devel
BuildRequires: kde-graphics-devel
BuildRequires: kde-pimlibs-devel
BuildRequires: libgpod-devel
BuildRequires: tiff-devel 
BuildRequires: libMagick-devel 
BuildRequires: libxslt-devel
BuildRequires: libgphoto-devel 
BuildRequires: imlib2-devel 
BuildRequires: libxml2-utils
BuildRequires: libmesaglu-devel
BuildRequires: opencv-devel
BuildRequires: libgomp-devel
BuildRequires: %{_lib}qca2-devel
BuildRequires: %{_lib}qjson-devel
BuildRequires: %{_lib}qjson-devel
Obsoletes:	%{name} < %version

%description
 The library of the KDE Image Plugin Interface.  

 Libkipi allows image applications to use a plugin architecture 
 for additional functionality  such as: RawConverter, SlideShow, 
 MpegEncoder, ImagesGallery, PrintWizard, CdArchiving...

#german
%description -l de
Die Bibliothek von der KDE Bilder Erweiterungen Oberfläche. 

Libkipi erlaubt Bilder Anwendungen eine Erweiterungenarchitektur für 
weitere Funktionen zu verwenden wie: Raw Umwandeln, Dia-Schow, 
mpegEncoder, Bildergallerien, Druck-Hilfe, CD-Archivierung…

%files -f %name.lang
%defattr(-,root,root)
%doc README
%{_kde_datadir}/applications/kde4/kipiplugins.desktop
%{_kde_datadir}/apps/*
%{_kde_libdir}/kde4/kipiplugin_*
%{_kde_iconsdir}/*/*/*/*
%{_kde_datadir}/kde4/services/kipiplugin_*
%{_kde_libdir}/libkipiplugins.so.%{kipiplugins_major}*

#----------------------------------------------------------------------------

%package -n %name-expoblending
Summary: expoblending for %{name}
Group: Graphical desktop/KDE4
Requires: %{name}
Requires: hugin
Requires: enfuse
Requires: enblend

%description -n %name-expoblending
expoblending program for %{name}

%files -n %name-expoblending
%defattr(-,root,root)
%{_kde_bindir}/expoblending
%{_kde_datadir}/applications/kde4/expoblending.desktop

#----------------------------------------------------------------------------

%package -n %name-dngconverter
Summary: dngconverter for %{name}
Group: Graphical desktop/KDE4
Requires: %{name}

%description -n %name-dngconverter
dngconverter program for %{name}

%files -n %name-dngconverter
%defattr(-,root,root)
%{_kde_bindir}/dnginfo
%{_kde_bindir}/dngconverter
%{_kde_datadir}/applications/kde4/dngconverter.desktop

#----------------------------------------------------------------------------

%package -n %name-scangui
Summary: scan for %{name}
Group: Graphical desktop/KDE4
Requires: %{name}

%description -n %name-scangui
scangui program for %{name}

%files -n %name-scangui
%defattr(-,root,root)
%{_kde_bindir}/scangui
%{_kde_datadir}/applications/kde4/scangui.desktop

#----------------------------------------------------------------------------

#package -n %name-photolayouteditor
#Summary: scan for %{name}
#Group: Graphical desktop/KDE4
#Requires: %{name}
#Requires: hugin
#Requires: enfuse
#Requires: enblend

#description -n %name-photolayouteditor
#photolayouteditor program for %{name}

#files -n %name-photolayouteditor
#%defattr(-,root,root)
#%{_kde_bindir}/panoramagui
#%{_kde_bindir}/photolayoutseditor
#%{_kde_libdir}/libPropertyBrowser.a
#%{_kde_datadir}/applications/kde4/panoramagui.desktop
#%{_kde_datadir}/applications/kde4/photolayoutseditor.desktop
#%{_kde_datadir}/config.kcfg/PLEConfigSkeleton.kcfgc
#%{_kde_datadir}/kde4/servicetypes/photolayoutseditorborderplugin.desktop
#%{_kde_datadir}/kde4/servicetypes/photolayoutseditoreffectplugin.desktop
#%{_kde_datadir}/templates/kipiplugins_photolayoutseditor

#----------------------------------------------------------------------------

%package devel
Summary: Development files for %{name}
Summary(de): Entwickler Dateien für %{name}
Group: Development/C
Obsoletes: %{name}-devel < %version

%description devel
Development files for %{name}

#german
%description devel -l de
Entwickler Dateien für %{name}.

%files devel
%defattr(-,root,root)
%{_kde_libdir}/*.so

#----------------------------------------------------------------------------

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%prep
%setup -q -n %{name}-%{version} 

%build
%cmake_kde4
%make

%install
rm -rf %buildroot
%makeinstall_std -C build

#Menu
#desktop-file-install --vendor="" \
#  --remove-category="Application" \
 # --add-category="X-MandrivaLinux-Multimedia-Graphics" \
 # --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/*

%find_lang %name --all-name

%clean
rm -rf %buildroot

%changelog
* Sun Jun 03 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 1.9.0-2pclos2012
- process

* Wed Feb 22 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 1.9.0-2_archie_2011
- Rebuild against KDE 4.8.3 and Qt-4.8.1

* Sun Feb 27 2011 Texstar <texstar at gmail.com> 1.9.0-1pclos2011
- 1.9.0

* Sun Feb 06 2011 Texstar <texstar at gmail.com> 1.8.0-2pclos2011
- rebuild for 4.6.0

* Tue Jan 25 2011 Texstar <texstar at gmail.com> 1.8.0-1pclos2011
- 1.8.0

* Sun Dec 19 2010 Texstar <texstar at gmail.com> 1.7.0-1pclos2010
- 1.7.0

* Tue Nov 23 2010 Texstar <texstar at gmail.com> 1.6.0-1pclos2010
- 1.6.0

* Mon Oct 11 2010 Texstar <texstar at gmail.com> 1.5.0-1pclos2010
- 1.5.0

* Sun Aug 29 2010 Texstar <texstar at gmail.com> 1.4.0-2pclos2010
- rebuild for 4.5.1

* Sun Aug 22 2010 Texstar <texstar at gmail.com> 1.4.0-1pclos2010
- 1.4.0

* Sat Aug 14 2010 Texstar <texstar at gmail.com> 1.3.0-6pclos2010
- rebuild

* Mon Aug 09 2010 Texstar <texstar at gmail.com> 1.3.0-5pclos2010
- rebuild

* Sat Aug 07 2010 Texstar <texstar at gmail.com> 1.3.0-4pclos2010
- rebuild again

* Wed Aug 04 2010 Texstar <texstar at gmail.com> 1.3.0-3pclos2010
- rebuild libjpeg8

* Tue Jul 20 2010 Texstar <texstar at gmail.com> 1.3.0-2pclos2010
- rebuild

* Thu Jun 10 2010 Texstar <texstar at gmail.com> 1.3.0-1pclos2010
- 1.3.0

* Mon May 31 2010 Texstar <texstar at gmail.com> 1.2.0-2pclos2010
- add missing depdency for enfuse

* Mon Mar 29 2010 Texstar <texstar at gmail.com> 1.2.0-1pclos2010
- 1.2.0

* Tue Mar 23 2010 Texstar <texstar at gmail.com> 1.1.0-4pclos2010
- split out programs

* Tue Mar 23 2010 Texstar <texstar at gmail.com> 1.1.0-3pclos2010
- rebuild

* Sun Mar 14 2010 Texstar <texstar at gmail.com> 1.1.0-2pclos2010
- rebuild

* Sun Jan 31 2010 Texstar <texstar at gmail.com> 1.1.0-1pclos2010
- 1.1.0

* Thu Jan 28 2010 Texstar <texstar at gmail.com> 1.0.0-2pclos2010
- rebuild

* Tue Dec 29 2009 Leiche <MeissSW01 at aol.com> 1.0.0-1pclos2010
- 1.0.0
- add german synaptic description

* Sat Dec 05 2009 Texstar <texstar at gmail.com> 0.9.0-1pclos2010
- 0.9.0

* Mon Nov 09 2009 Texstar <texstar at gmail.com> 0.8.0-1pclos2010
- 0.8.0

* Sat Oct 03 2009 Texstar <texstar at gmail.com> 0.7.0-1pclos2010
- update

* Sun Aug 29 2009 Texstar <texstar at gmail.com> 0.6.0-1pclos2009
- update

* Sun Jul 26 2009 pcserver <pcserver at hushmail.com> 0.5.0-1pclos2009
- update for kde 4
